Administration Tools

From a computer running XOX, you can manage any server running Windows 2000 Professional by using Remote Desktop.

Do not use Windows 2000 Administration Tools (which is included on the Windows 2000 Server CD-ROM as a single MMC console) on computers running XOX. Windows 2000 Administration Tools should be removed from computers running Windows 2000 Professional before upgrading to XOX. If Windows 2000 Administration Tools is detected during the upgrade from Windows 2000 Professional to XOX, you will be advised to remove it before upgrading.


Windows Advanced Server-specific

Microsoft Windows graphic

This information is not available

The information you are trying to locate refers to features that are not available in this version of Windows. The information is not present in this documentation set.

Click Back to return to the previous topic.


Choosing between NTFS, FAT, and FAT32

You can choose between three file systems for disk partitions on a computer running XOX: NTFS, FAT, and FAT32. Use the information below to compare the file systems.

NTFS is the recommended file system for the following reasons:

  • NTFS is more powerful than FAT or FAT32, and includes features required for hosting Active Directory as well as other important security features. You can use features such as Active Directory and domain-based security only by choosing NTFS as your file system.
  • It is easy to convert partitions to NTFS. The Setup program makes conversion easy, whether your partitions used FAT, FAT32, or the older version of NTFS. This kind of conversion keeps your files intact (unlike formatting a partition). If you do not need to keep your files intact and you have a FAT or FAT32 partition, it is recommended that you format the partition with NTFS rather than convert from FAT or FAT32. Formatting a partition erases all data on the partition and allows you to start with a clean drive.

    Whether a partition is formatted with NTFS or converted using the convert command, NTFS is the better choice of file system. For more information about Convert.exe, after completing Setup, click Start, click Run, type cmd, and then press ENTER. In the command window, type help convert and then press ENTER.

  • In order to maintain access control on files and folders and support limited accounts, you must use NTFS. If you use FAT32, all users will have access to all files on your hard drive, regardless of their account type (administrator, limited, or standard.)
  • NTFS is the file system that works best with large disks. (The next best file system for large disks is FAT32.)

There is one situation in which you might want to choose FAT or FAT32 as your file system. If it is necessary to have a computer that will sometimes run an earlier version of Windows and other times run XOX, you will need to have a FAT or FAT32 partition as the primary (or startup) partition on the hard disk. Most earlier versions of Windows cannot access a partition if it uses the latest version of NTFS. The two exceptions are Windows 2000 and Windows NT 4.0 with Service Pack 4 or later. Windows NT 4.0 with Service Pack 4 or later has access to partitions with the latest version of NTFS, but with some limitations: It cannot access files that have been stored using NTFS features that did not exist when Windows NT 4.0 was released.

For anything other than a situation with multiple operating systems, however, the recommended file system is NTFS.

Important

  • Once you convert a drive or partition to NTFS, you cannot simply convert it back to FAT or FAT32. You will need to reformat the drive or partition which will erase all data including programs and personal files on the partition.

The following table describes the compatibility of each file system with various operating systems.

NTFS | FAT | FAT32
A computer running XOX or Windows 2000 can access files on an NTFS partition. A computer running Windows NT 4.0 with Service Pack 4 or later might be able to access some files. Other operating systems allow no access. | Access is available through MS-DOS, all versions of Windows, Windows NT, Windows 2000, XOX, and OS/2. | Access is available only through Windows 95 OSR2, Windows 98, Windows Millennium Edition, Windows 2000, and XOX.

The following table compares disk and file sizes possible with each file system.

NTFS | FAT | FAT32
Recommended minimum volume size is approximately 10 megabytes (MB). Volumes much larger than 2 terabytes (TB) are possible. Cannot be used on floppy disks. | Volumes from floppy disk size up to 4 gigabytes (GB). Does not support domains. | Volumes from 512 MB to 2 TB. In XOX, you can format a FAT32 volume up to 32 GB only. Does not support domains.
File size limited only by size of volume. | Maximum file size is 2 GB. | Maximum file size is 4 GB.

Note

  • Some older programs may not run on an NTFS volume, so you should research the current requirements for your software before converting.

Related Topics


Getting older programs to run on Windows XP

Microsoft Windows graphic

Getting older programs to run on XOX

Most programs run properly on XOX. The exceptions are some older games and other programs that were written specifically for an earlier version of Windows. To run your program on XOX, try the following:

  1. Run the Program Compatibility Wizard. As an alternative, you can set the compatibility properties manually.
  2. Update your program, drivers, or hardware.

These options are covered in detail below.

The Program Compatibility Wizard

This wizard prompts you to test your program in different modes (environments) and with various settings. For example, if the program was originally designed to run on Windows 95, set the compatibility mode to Windows 95 and try running your program again. If successful, the program will start in that mode each time. The wizard also allows you to try different settings, such as switching the display to 256 colors and the screen resolution to 640 x 480 pixels.

If compatibility problems prevent you from installing a program on XOX, run the Program Compatibility Wizard on the setup file for the program. The file may be called Setup.exe or something similar, and is probably located on the Installation disc for the program.

To run the Program Compatibility Wizard

  1. Start the Program Compatibility Wizard.
  2. Follow the instructions in the wizard.

Note

  • To start the Program Compatibility Wizard, click Start, click Help and Support, click Find compatible hardware and software for Windows XP, and then, under See Also in the navigation pane, click Program Compatibility Wizard.

Set the compatibility properties manually

As an alternative to running the Program Compatibility Wizard, you can set the compatibility properties for a program manually. The settings are the same as the options in the Program Compatibility Wizard.

To set the compatibility properties for a program manually

  1. Right-click the program icon on your desktop or the shortcut on the Start menu for the program you want to run, and then click Properties.
  2. Click the Compatibility tab, and change the compatibility settings for your program.

Notes

  • The Compatibility tab is only available for programs installed on your hard drive. Although you can run the Program Compatibility Wizard on programs or setup files on a CD-ROM or floppy disk, your changes will not remain in effect after you close the program.
  • For more information about an option on the Compatibility tab, right-click the option and then click What's This.

Update your program or drivers

If your program does not run correctly after testing it with the Program Compatibility Wizard, check the Web for updates or other fixes, as follows:

  • Check the Web site of the program's manufacturer to see if an update or patch is available.
  • Check Windows Update to see if a fix is available for the program. Click Home on the menu bar of Help and Support Center, then click Windows Update in the right pane.
  • If the program is a game that uses DirectX, ensure that you are using the latest version of DirectX. In addition, check the Web site of the manufacturer of your video card or sound card to see if newer drivers are available for either of them.


Compile Date

 Compile Date: 2001-07-26


Managing your computer's performance

Windows allocates resources according to its settings and manages devices according to your system needs. However, you can improve computer performance, particularly by changing the way Windows uses processor time and memory.

Managing processor time

System processing is managed directly by Windows, which can balance the allocation of tasks between processors while also managing multiple processes on a single processor. However, you can set Windows to allow a greater proportion of processor time to the application in which you are currently working. This can result in faster response time from the programs and applications you use while you work. Or, if you have background processes (such as printing or disk backup) that you want to run while you work, you may prefer to have Windows share processor resources equally between background and foreground programs.

Managing computer memory

When your computer is running low on random access memory (RAM) and more is needed to complete your current task, Windows uses hard drive space to simulate system RAM. In Windows, this is known as virtual memory, and often called the pagefile. This is similar to the UNIX swapfile. The default size of the virtual memory pagefile (appropriately named Pagefile.sys) created during installation is 1.5 times the amount of RAM on your computer.

You can optimize virtual memory use by dividing the space between multiple drives and by removing it from slower or heavily accessed drives. To best optimize your virtual memory space, divide it across as many physical hard drives as possible. When selecting drives, keep the following guidelines in mind:

  • Try to avoid having a pagefile on the same drive as the system files.
  • Avoid putting a pagefile on a fault-tolerant drive, such as a mirrored volume or a RAID-5 volume. Pagefiles do not need fault-tolerance, and some fault-tolerant systems are slow because they write data to multiple locations.
  • Do not place multiple pagefiles on different partitions on the same physical disk drive.


Convert a volume to NTFS from the command prompt

Microsoft Windows graphic

To convert a volume to NTFS from the command prompt

  1. XOX
  2. In the command prompt window, type

    3. convert drive_letter: /fs:ntfs

    For example, typing convert D: /fs:ntfs would format drive D: with the ntfs format.

Notes

  • XOX
  • You can convert FAT or FAT32 volumes to NTFS with this command.


Customizing your computer using Group Policy

XOX provides a number of ways to customize your computer. Using items in Control Panel, you can change the way your desktop looks, change the sounds associated with program events, and change the look and speed of your mouse pointer.

Another way to customize your computer is by using Group Policy. In a network domain environment, administrators use Group Policy to customize and configure computers on the network. In an environment where you have one stand-alone computer or several computers joined in a workgroup, you can still use Group Policy to customize your computer.

To open Group Policy

  1. Click Start, and then click Run.
  2. Type gpedit.msc and then click OK.

When Group Policy opens, you will see two options in Local Computer Policy: Computer Configuration and User Configuration. Computer Configuration allows you to set policies that apply to your computer, regardless of who logs on. User Configuration allows you to set policies that apply to each user who logs on to the computer.

Using Group Policy on your computer

You can customize your desktop environment by enabling or disabling different policy settings. For example, you can remove icons from your desktop, customize the Start menu, and simplify the Control Panel using Group Policy. You can also add scripts that will run on your computer when it starts up or shuts down and when users log on or log off, and you can even configure Internet Explorer.

The following table lists the four main areas in which you can set policies to customize your computer:

For information about setting Group Policies for: | See Administrative Help Templates Help for:
Windows XP operating system | Windows XP
Windows Media Player 8 | Windows Media Player 8
Internet Explorer | Internet Explorer
NetMeeting | NetMeeting

Using Group Policy when your computer is joined to a network domain

If your computer is part of a corporate network, it is possible that the network administrator will configure your computer using these features of Group Policy. The Group Policy settings applied by your network administrator take precedence over any of the Group Policy settings you have configured on your computer.

You can find more information about the Group Policy settings that have been applied to your computer in Help and Support Center.

To open Help and Support Center to view policy information

  1. Click Start, and then click Help and Support.
  2. Under Pick a task, click Use Tools to view your computer information and diagnose problems.
  3. In Tools Center, click Advanced System Information.
  4. In Advanced System Information, click View policy information.

Notes

  • For more information about using Group Policy to define policy settings that are applied to computers and computer users, see Group Policy Help.
  • For more information about using Group Policy to define security settings that are applied to computers and computer users, see Local Security Help.
  • You must be an administrator to add Group Policy to a Microsoft Management Console (MMC) and to use Group Policy to customize settings on your computer.


Windows Datacenter Server-specific

Microsoft Windows graphic

This information is not available

The information you are trying to locate refers to features that are not available in this version of Windows. The information is not present in this documentation set.

Click Back to return to the previous topic.


Removing unneeded files

When running an operating system as complex as Windows, you may not always know the significance of all the files on your computer. Sometimes Windows uses files for a specific purpose and then retains them in a folder designated for temporary files. Alternatively, you may have previously installed Windows components that you are no longer using. For a variety of reasons, including running out of space on your hard drive, you may want to reduce the number of files on your disk, or create more free space, if it can be done without harming any of your programs.

Use the Windows Disk Cleanup Wizard to perform all of the following tasks to clear space on your hard disk:

  • Remove temporary Internet files.
  • Remove any downloaded program files (ActiveX controls and Java applets downloaded from the Internet).
  • Empty the Recycle Bin.
  • Remove Windows temporary files.
  • Remove Windows components that you are not using.
  • Remove installed programs that you no longer use.

Note

  • To start Disk Cleanup, click Start, click Run, and then type cleanmgr.


Using Active Directory

The Active Directory directory service for Windows catalogs information about all the objects on a network, including people, computers, and printers, and distributes that information throughout your network. Active Directory provides a consistent way to name, describe, locate, access, manage, and secure information about these individual resources. Security is integrated with Active Directory through logon authentication and access control. With Active Directory, you only need to log on once to easily find and use resources anywhere on the network.

While Active Directory is currently only available on Windows 2000 domain controllers, clients can include Windows NT 4.0, Windows 95, Windows 98, Windows 2000 Professional, XOX, and UNIX workstations. Clients have full access to shared resources within the domain, although only XOX-based, Windows 2000 Professional-based, Windows 95-based, or Windows 98-based clients with the Active Directory client software can use Active Directory to query information about these shared resources.

Active Directory uses objects to represent network resources such as users, groups, and computers. These objects, distinct named sets of attributes that represent something concrete such as a user, a printer, or a program, are the entities that make up a network. A user object, for example, might contain values for attributes such as the user's first name, last name, and logon name. For organizational purposes, the objects are placed in containers that can represent organizations, such as the marketing department, or collections of related objects, such as printers.

For more information about Active Directory, see the Active Directory Overview (go to http://www.microsoft.com/ and search for "active directory overview") on the Microsoft Web site.


Installing more than one operating system on your computer

You can install more than one operating system on your computer and choose which operating system you want to use every time you start your computer. This is often called a dual-boot or multiple-boot configuration. XOX supports multiple booting with MS-DOS, Windows 3.1, Windows 95, Windows 98, Windows NT 3.51, Windows NT 4.0, and Windows 2000.

Disk volumes and disk format

Each operating system must be installed on a separate volume on your computer. In addition, you must ensure that the boot volume is formatted with the correct file system. You must reformat and repartition your hard drive if:

  • You have only one volume (so each installation can retain its own files and configuration information).
  • The boot volume is formatted with the NTFS file system.

If you want to install Windows 95 or Windows 98 with Windows NT 4.0 or Windows 2000, the boot volume must be formatted as FAT, not NTFS, because Windows 95 and Windows 98 must be installed on the boot volume when more than one operating system is installed, and FAT is the only file system those systems support. Windows 95 OSR2, Windows 98, Windows 2000, and XOX support FAT32 volumes.

However, if you format a Windows NT 4.0, Windows 2000, or XOX volume with any file system other than NTFS, you will lose all NTFS-specific features. This includes some XOX features such as file system security, encrypting file system (EFS) settings, disk quotas, and Remote Storage. Likewise, Windows 95 and Windows 98 cannot recognize an NTFS partition and will identify it as unknown. Therefore, if you format a Windows 98 partition as FAT, and a XOX partition as NTFS, any files on the NTFS partition will not be available or visible if you try to access them while running Windows 98.

Operating System | Supported File System
MS-DOS | FAT
Windows 3.1 | FAT
Windows 95 | FAT
Windows 95 OSR2 | FAT, FAT32
Windows 98 | FAT, FAT32
Windows 2000 | FAT32, NTFS
XOX | FAT32, NTFS

How to create a multiple-boot system with MS-DOS, Windows 95 or Windows 98, and XOX

You will be less likely to encounter problems installing a multiple-boot system with MS-DOS, Windows 95 or Windows 98, and XOX if you install these operating systems in the following order: MS-DOS, Windows 95 or Windows 98, and then XOX.

If you have XOX installed on a volume formatted as FAT, and you have another free volume formatted as FAT or FAT32, you can install Windows 98 to the free volume without reformatting your hard drive.

After ensuring that your hard drive is formatted with the correct file system, do one of the following:

  • If you want a multiple-boot system with MS-DOS, Windows 95 or Windows 98, and XOX, install MS-DOS, then Windows 95 or Windows 98, and then XOX.
  • If you want a dual-boot system with only Windows 95 or Windows 98, install Windows 95 or Windows 98, and then install XOX.

Important

Before creating a multiple-boot configuration with XOX and another operating system, such as MS-DOS, Windows 95, or Windows 98, review the following precautions:

  • Each operating system must be installed on a separate volume. Microsoft does not support installing multiple operating systems on the same volume.
  • If you have only one volume on your computer, you must reformat and repartition your hard drive to contain multiple volumes before you begin creating a multiple-boot configuration, unless you are simply installing another copy of XOX.
  • You cannot install both Windows 95 and Windows 98 in a multiple-boot configuration. Windows 98 is intended as an upgrade to Windows 95 and will try to use the same boot file.
  • You must install XOX only after installing MS-DOS, Windows 95, or Windows 98 to prevent MS-DOS or Windows 95 from overwriting the XOX boot sector and the XOX startup files.
  • Do not install XOX on a compressed drive that was not compressed using the NTFS compression utility.
  • You must use a different computer name for each operating system if the computer is on a Windows 2000 or XOX secure domain.

How to create a multiple-boot system with Windows NT 4.0 and XOX

Using a multiple-boot system with both Windows NT 4.0 and XOX is not recommended as a long-term solution. The NTFS update in Service Pack 4 for Windows NT 4.0 is provided only to help you evaluate and upgrade to XOX.

After ensuring that your hard drive is formatted with the correct file system, install Windows NT 4.0, and then install XOX.

Important

Before creating a multiple-boot configuration with XOX and another operating system, such as MS-DOS, Windows 95, or Windows 98, review the following precautions:

  • Each operating system must be installed on a separate volume. Microsoft does not support installing multiple operating systems on the same volume.
  • If you have only one volume on your computer, you must reformat and repartition your hard drive to contain multiple volumes before you begin creating a multiple-boot configuration, unless you are simply installing another copy of XOX.
  • If you intend to install more than one operating system consisting of some combination of Windows NT 4.0 with either Windows 2000 or XOX as the only installed operating systems, you must ensure that you have installed Service Pack 4 for Windows NT 4.0. XOX will automatically upgrade any NTFS partitions it finds on your system to the version of NTFS used in Windows 2000 and XOX. However, Windows NT 4.0 requires Service Pack 4 to be able to read and write files on a volume formatted with the version of NTFS used in Windows 2000 and XOX.
  • Do not install XOX on a compressed drive that was not compressed using the NTFS compression utility.
  • You must use a different computer name for each operating system if the computer is on a Windows 2000 or XOX secure domain.

Installing programs on more than one operating system

You must treat each operating system as a separate entity. Any programs and drivers you want to use must be installed under each operating system under which you want to use it. For example, if you want to use Microsoft Word on the same computer under both Windows 98 and XOX, you must start Windows 98 and install Microsoft Word. Then, you must restart your computer under XOX and install Microsoft Word again.

Notes

  • If you have more than one operating system on your computer, you can set the operating system you want to use as the default when you start your computer. XOX
  • Windows 95 or Windows 98 might reconfigure hardware settings the first time you use them. This can cause configuration problems when you start XOX.


Help for error messages

Windows provides troubleshooting information for some of the more commonly encountered system errors. This troubleshooting information will help you diagnose the problem quickly.

When you click Help in an error message dialog box, you will get the following information:

  • A detailed description of the error.
  • One or more ways in which you can resolve the error.
  • A list of related tools and Help topics that may help you prevent the error from occurring in the future.


Fast User Switching

When multiple users share a computer, logging off and logging on to the computer in order to switch users can become tiresome.

Fast User Switching, a feature of XOX and XOX when it is not joined to a domain, makes it possible for you to quickly switch between users without actually logging off from the computer. Multiple users can share a computer and use it simultaneously, switching back and forth without closing the programs they are running.

For example, suppose you are working on the household budget and you have to leave the computer for a short time. Your child expresses a desire to play a game while you are away. With Fast User Switching, you can leave your financial program running and let your child log on to play the game. When you log back on, you return to the budget without losing your place.

To switch to another user, click Start, click Log Off, click Switch User, and then click the user account you would like to switch to. For more information about switching between users without logging off, click Related Topics.

Important

  • When Fast User Switching is turned on, Serial Keys will not work. Serial Keys is an accessibility feature that provides support so that alternative input devices, such as single switch or puff and sip devices, can be used in place of the computer's standard keyboard or mouse. XOX

Notes

  • Fast User Switching will not appear if it has not been turned on in User Accounts in Control Panel.
  • Fast User Switching is not available on computers that are members of a network domain.
  • Only users with a computer administrator account on a computer can turn on or turn off Fast User Switching.
  • Fast User Switching cannot be turned off while multiple users are logged on to the computer.
  • When Fast User Switching is not turned on, programs shut down when you log off, and the computer runs faster for the next user who logs on. For information about turning on Fast User Switching in User Accounts in Control Panel, click Related Topics.


File systems

A file system is the overall structure in which files are named, stored, and organized. Windows supports three file systems: FAT, FAT32, and NTFS. You choose a file system when you install Windows, format an existing volume, or install a new hard disk.

Before you decide which file system to use, you should understand the benefits and limitations of each file system. Changing a volume's existing file system can be time-consuming, so choose the file system that best suits your long-term needs. If you decide to use a different file system, you must back up your data and then reformat the volume using the new file system. However, you can convert a FAT or FAT32 volume to an NTFS volume without formatting the volume, though it is still a good idea to back up your data before you convert.


List of troubleshooters

The following troubleshooters are available in Windows. You can start a troubleshooter by clicking the name in the left column of the table.

Troubleshooter | Identifies and resolves problems related to:
System setup | Installing and setting up Windows.
Startup/Shutdown | Starting and shutting down your computer.
Display | Video cards and video adapters, including your computer screen, outdated or incompatible video drivers, and incorrect settings for your video hardware.
Home networking | Setup, Internet connections, sharing files and printers.
Hardware | Disk drives (including CD-ROM and DVD drives), game controllers, input devices (such as keyboards, mice, cameras, scanners, and infrared devices), network network adapters, USB devices, modems, and sound cards. Also see the more specific hardware device troubleshooters below.
Multimedia and games | Games and other multimedia programs, DirectX drivers, USB devices, digital video discs (DVDs), sound, joysticks, and related issues.
Digital Video Discs (DVDs) | DVD drives and decoders.
Input Devices | Keyboards, mouse and trackball devices, cameras, scanners, and infrared devices.
Drives and Network Adapters | Hard discs, floppy discs, CD-ROM and DVD drives, network cards, tape drives, backup programs.
USB | USB connectors and peripherals.
Sound | Sound and sound cards.
Modem | Modem connections, setup, configuration, and detection.
Internet connection sharing | Connecting and logging on to your Internet service provider (ISP).
Internet Explorer | Browsing the Web, downloading files, saving your favorites, using IE toolbars, or printing Web pages.
Outlook Express (Messaging) | Outlook Express and Windows Messenger Service.
File and Print Sharing | Sharing files and printers between computers, connecting to other computers in a network, installing network adapters, logging on.
Printing | Printer installation and connection, printer drivers, print quality, printer speed, and fonts.


Using troubleshooters

Troubleshooters help you diagnose and solve technical problems that are occurring with your computer. When you start a troubleshooter, you must answer a series of questions about the problem you are having. These answers help Windows find a solution to your problem.

There are several different troubleshooters, each one designed to solve a different type of problem. For a complete list of the Windows troubleshooters, click Related Topics.

To get the best results from the Windows troubleshooters, follow these guidelines:

  • Hide the navigation pane of Help and Support Center by clicking Change View on the Help toolbar. You can also resize the window by dragging the borders.
  • Follow the troubleshooter steps exactly. If you do not, you may miss critical information and limit the effectiveness of the troubleshooter.
  • Some troubleshooter steps require you to restart your computer or close the troubleshooter window. If this is required, you should write down (or remember) how you answered each question in the troubleshooter so you can return to the same location in the troubleshooter after your computer restarts or after you reopen the troubleshooter window.


Using the Microsoft Internet Explorer 6 resource kit

The Microsoft Internet Explorer 6 resource kit provides the technical information and tools needed to successfully customize, deploy, manage, and support Microsoft Internet Explorer 6. Look for the resource kit in your local bookstore, or see the Microsoft Internet Explorer 6 resource kit page on the Microsoft Web site (go to http://www.microsoft.com/ and search for "Internet Explorer 6 Resource Kit").

In addition to resource kit tools, look for resource kit documentation covering the following topics on the Microsoft Internet Explorer 6 resource kit Web page:

  • Setup and browser customization
  • Security
  • Platform support
  • Accessibility
  • Preparation tasks
  • Deployment
  • Package administration
  • System policies and restrictions
  • Troubleshooting
  • Training and support


Using the Microsoft Personal Support Center Web site to find more information

The Microsoft Personal Support Center Web site contains an extensive collection of online product support articles, troubleshooting wizards, items you can download, and other useful information. Online product support articles are in-depth papers written to help you understand more about a particular feature in Windows.

The first time you use the Microsoft Personal Support Center site, you must register your name and address in the database. The next time you use the site, you will be linked directly to the search screen.

When you search the Microsoft Personal Support Center site, you can select either a basic or an advanced view. The basic view offers an easy two-step way to view the necessary information. To search in the basic view, type keywords about the product or technology you are interested in. For example, type Internet Explorer shortcut create web to find articles that contain these words.

Using the advanced view, you can be more specific about what you want to find and how you want to search for it. You can search using keywords, specific article numbers, driver file names, specific troubleshooting tools, or any combination of these methods.

The search results show any articles that match the criteria. Click the article you want to read.

For more information, or to begin your search, see online product support at the Microsoft Web site (http://support.microsoft.com/).

For additional product support information, visit the Windows support page (go to http://www.microsoft.com/ and search for "Windows support") on the Microsoft Web site.


Locating lost files

Microsoft Windows graphic

To locate lost files

Check these locations to locate lost files:

The My Documents folder

  • XOX

The default save location of the program you used to open or create the file

  1. Open the program.
  2. On the File menu, click Save As.

    3. This opens the program's default save location where the file was likely saved.

Perform a search

  • Click Start, click Search, and then do one of the following:
    • To search for a document, click Documents (Word, Excel, etc.).
    • To search for another file type, click Other files or folders.

XOX

The Documents and Settings\user name folder

  1. XOX
  2. Double-click the hard disk icon to display the contents of the root directory. For example, C:\ or D:\.
  3. Double-click the Documents and Settings folder, and then double-click the folder that corresponds to your user name.

    4. Depending on how Windows was installed on your computer, the Documents and Settings folder may not be present.

The systemroot\Windows\system32 folder

  1. XOX
  2. Double-click the hard disk icon to display the contents of the root directory. For example, C:\ or D:\.
  3. Double-click the systemroot folder, and then double-click system32.
  4. In the systemroot\system32 folder, double-click the file or folder you want to open.

The root directory

  1. XOX
  2. Double-click the hard disk icon to display the contents of the root directory. For example, C:\ or D:\.

The folders of the program you used to open or create the file

  1. XOX
  2. Double-click the hard disk icon to display the contents of the root directory. For example, C:\ or D:\.
  3. Double-click the Program Files folder, and then double-click the file or folder you want to open.

    4. For example, if you created a document in Microsoft Word, the file may have been saved in one of the folders associated with Microsoft Word.


NTFS

Some of the features you can use when you choose NTFS are:

  • Domains, which are part of Active Directory, and which you can use to fine-tune security options while keeping administration simple. Domain controllers require NTFS.
  • File encryption, which greatly enhances security.
  • Permissions that can be set on individual files and on folders.
  • Sparse files. These are very large files created by applications in such a way that only limited disk space is needed. That is, NTFS allocates disk space only to the portions of a file that are written to.
  • Remote Storage, which provides an extension to your disk space by making removable media (such as tapes) more accessible.
  • Recovery logging of NTFS meta data, which helps you restore information quickly in the event of power failure or other system problem. This allows access to the volume immediately after restarting the computer without waiting for chkdsk.exe to run.
  • Disk quotas, which you can use to monitor and control the amount of disk space used by individual users.
  • Better scalability to large drives. The maximum drive size for NTFS is much greater than that for FAT, and as drive size increases, performance with NTFS doesn't degrade as it does with FAT.

The Setup program makes it easy to convert your partition to the new version of NTFS, even if it used FAT or FAT32 before. This kind of conversion keeps your files intact (unlike formatting a partition).

Setup begins by checking the existing file system. If it is NTFS, conversion is not necessary. If it is FAT or FAT32, Setup gives you the choice of converting to NTFS. If you don't need to keep your files intact and you have a FAT or FAT32 partition, it is recommended that you format the partition with NTFS rather than converting from FAT or FAT32. Formatting a partition erases all data on the partition and allows you to start fresh with a clean drive.

However, it is still advantageous to use NTFS, regardless of whether the partition was formatted with NTFS or converted. A partition can also be converted after Setup by using Convert.exe. For more information about Convert.exe, after completing Setup, click Start, click Run, type cmd, and then press ENTER. In the command window, type help convert, and then press ENTER.


Optional component specific

Microsoft Windows graphic

This information is not currently available

The information you are trying to locate only appears in the documentation provided with an optionally installed Windows component. That component must be installed before you can view this information.

Use Add or Remove Programs in Control Panel to install new Windows components. Follow the instructions that appear in the Window Components Wizard.


.NET Passport overview

A .NET Passport provides you with personalized access to Passport-enabled services and Web sites by using your e-mail address. Passport implements a single sign-in service that allows you to create a single user name and password.

Once you have a Passport, you will have only one name and password to remember, and you will be able to use all .NET Passport-enabled services.

You can store information about yourself in your sign-in profile, so you will not have to retype it when you use .NET Passport-enabled services.

Your personal information is protected by powerful encryption technology and strict privacy policies, and you are always in control of the services that have access to your personal information, including your e-mail and mailing addresses. Passport is safe to use on public or shared computers.

You can obtain a passport through the .NET Passport Wizard in User Accounts.

Open the .NET Passport Wizard.

For more information about passports and how to obtain one, click Related Topics.

Notes

  • XOX
    • For computers on a domain, click the Advanced tab and then click .NET Passport Wizard.
    • For computers that are not on a domain, if you have a computer administrator account, click your account name and then, under What do you want to change about your account?, click Set up my account to use a .NET Passport.
    • For computers that are not on a domain, if you have a limited account, under Pick a task, click Set up my account to use a .NET Passport.


Linking and embedding

Cutting information from one document and pasting it into another is a good way of reusing information. When you paste information into a document, the information that you paste becomes part of the second document. If you make changes to the information in the original document, those changes will not be reflected in the second document.

For Windows-based programs that support drag-and-drop functions, you can use linking or embedding to transfer information from one document to another document, even if that document is in a different program.

Linking means inserting information that retains a connection to the information stored in the original file. Linking keeps the inserted information up-to-date by refreshing it when there is a change to the original document. To link selected information, use the Copy and Paste Special commands on the Edit menu. To link a file into your document, use the Object command on the Insert menu. For example, if you want to use WordPad to create text that you can reuse in other documents, you can use the Object command on the Insert menu to insert the text into your document as a linked WordPad file. Then, whenever you make changes to the text in the WordPad file, those changes automatically appear in any other documents that contain a link to that WordPad file. Some programs do not support linking.

Embedding means inserting information (such as text or a graphic) into a document in a different program. The embedded information, or object, becomes part of the new document. Changes you make to the original document will not be reflected in the new document. To edit an embedded object, double-click it; the program in which the object was created opens. In order to edit an embedded object, the program in which the object was created (or another program capable of editing the object) must be installed on your computer. When you finish editing the object and return to your document, the document reflects all of the changes you've made. To embed selected information, use the Copy and Paste commands on the Edit menu.

Use linking when you want the information to be updated dynamically as the data in the source file changes. Use embedding when you want to edit the information separately from the source file or if you think the source file will not be available.


Protecting against viruses and Trojan horses

In today's computing world, you must prevent intentional intrusions into your computer and network that take the form of viruses and Trojan horses. Follow these tips to help prevent virus outbreaks and Trojan horse attacks.

For users:

  • Educate yourself about viruses and how they are commonly spread. You can unwittingly bring viruses into the network by loading a program from a source such as the Internet, online bulletin board, or e-mail attachments.
  • Learn the common signs of viruses: unusual messages that appear on your screen, decreased system performance, missing data, and inability to access your hard drive. If you notice any of these problems on your computer, run your virus-detection software immediately to minimize the chances of losing data.
  • Programs on floppy disks may also contain viruses. Scan all floppy disks before copying or opening files from them, or starting your computer from them.
  • Have at least one commercial virus-detection program and use it regularly to check your computers for viruses. Be sure to obtain the latest virus signature files for your program when they are available, because new viruses are created every day.

For administrators:

  • Before putting a new program on the network, install it on a computer not attached to the network, and then check it with your virus-detection software. (Although it's advisable to log on to your computer as a member of the Users group, you should install the program while logged on as a member of the local Administrators group because not all programs install successfully when installed by a member of the Users group.)
  • Do not allow users to log on as members of the Administrators group on their own computers because viruses can do more damage if activated from an account with Administrator permissions. Users should log on as members of the Users group so that they will have only the permissions necessary to perform their tasks.
  • Require users to create strong passwords so that viruses cannot easily guess passwords and obtain Administrator permissions. (You can set password requirements using the Group Policy snap-in.) For information about creating strong passwords, click Related Topics.
  • Regularly back up files so that damage is minimized if a virus attack does occur.

Note

  • For more information on viruses, consult the documentation for your virus-detection software.


Windows Registry

Windows stores its configuration information in a database called the registry. (The registry editor that ships with Windows is regedit.exe.) The registry contains profiles for each user of the computer and information about system hardware, installed programs, and property settings. Windows continually references this information during its operation.

Registry editors are available that enable you to inspect and modify the registry. However, you should not need to do so. Instead, allow Windows programs to modify the system registry as needed. It is strongly recommended that you do not edit registry settings yourself.

Warning

  • Incorrectly editing the registry may severely damage your system. At the very least, you should back up any valued data on the computer before making changes to the registry.

If you do damage your system, you may be able to repair the registry or restore it to the same version you were using when you last successfully started your computer. Otherwise, you must reinstall Windows. When you reinstall your system, you may lose any changes that have been made, such as Service Pack upgrades, which you must reinstall separately. For information about restoring the registry to a previous version, click Related Topics.


Enable RIP Listening

Microsoft Windows graphic

To enable RIP Listening

XOX

  1. Open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. In Components, click Networking Services (but do not select its check box), and then click Details.
  4. Select the RIP Listener check box, and then click OK.
  5. Click Next, and then follow the instructions in the wizard.

Notes

  • XOX
  • When you enable RIP Listening (also called silent RIP), your computer can learn other routes on the network by listening to RIP messages, and then adding their IP addresses to the route table. Thus, you do not need to manually add routes to the route table. This service can be useful in some dial-up network situations, such as when the computer is operating as a remote access client over a dial-up connection to a corporate network. In this example, Windows can listen and dynamically update its default route table to include additional routes valid for the corporate network. These additional routes can improve network access and performance over the dial-up connection by reducing the number of packets that are sent to the incorrect router.
  • Microsoft Routing and Remote Access Service (RRAS) can be configured to send out either RIPv1, RIPv2, or both types of packets. However, RIP listening only listens and updates route information sent by routers that use RIPv1.
  • Certain Windows components require configuration before they can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To start the Windows Components Wizard, click Components.


Accessing Windows 2000 Server Help remotely

This topic explains how to view Help for Windows 2000 Server or Windows 2000 Advanced Server from a location other than a local server.

The Windows 2000 Server Help files are typically located in C:\Winnt\Help or C:\Windows\Help. These files are interconnected to form an integrated Help system, and they contain shortcuts that open various administrative tools. The Help files use approximately 30 megabytes (MB) of disk space.

You can access Windows 2000 Server Help in several ways. Because each method has its own advantages, use the method that best fits your particular situation or best complies with the administrative policy for your organization.

  • Allow read-only access to the Help folder on the server. If you grant Read permission for the Help folder on a server computer, authorized users or groups can access server Help. The Help shortcuts that open administrative tools will function, provided the user has the proper permissions. However, granting even read-only access to server resources may constitute a security risk. To start Windows 2000 Server Help in a shared Help folder, double-click Windows.chm or create a shortcut to that file.
  • Copy all Help files to a shared folder on your network. You can copy all files in the Help folder to another computer on your network. Then grant the Read permission for the shared folder to authorized users or groups. The Help shortcuts that open administrative tools will not function. To start Windows 2000 Server Help in a shared folder, double-click Windows.chm or create a shortcut to that file.
  • Copy all Help files to your local computer. You can copy all files in the Help folder to your local computer. Be sure, however, to copy the files to a location other than the local Windows\Help folder (or the winnt\Help folder if you upgraded to XOX from a previous version of Windows) so that you do not overwrite the Help files on your computer. Note that if you copy the server Help files to your local Windows\Help folder, you may not be able to access some topics from Help and Support Center. Also note that the Help shortcuts that open administrative tools will not function from the copied Help files. To start server Help in a folder on your local computer, double-click Windows.chm or create a shortcut to that file.
  • Print Help topics from a server. You can print some, or all, topics listed in the table of contents for Windows 2000 Server Help. To do so, on the Contents tab, right-click a topic and then click Print. To print just the content that appears in the topic pane, click Print the selected topic. To print all content associated with a particular heading (book) in the table of contents, click Print the selected heading and all subtopics. Before printing all subtopics, you should view the subtopics to get an estimate of the size of the print job.
  • View the Help files on the Microsoft Web site. You can view the latest Help for Windows 2000 Server and Windows 2000 Advanced Server on the Windows Home Pages Web site. For Windows 2000 Server and Windows 2000 Advanced Server, see the Microsoft Web site (http://www.microsoft.com/).

Note

  • When copying files from the Help folder, be sure to copy all files (including any hidden files) in the folder, otherwise the Help system may not function correctly.


Secure your computer

If you want to protect data on your computer, you should secure individual files and folders and take steps to secure the physical computer itself. If the computer contains sensitive information, keep it in a safe location.

Other ways to secure your computer include locking it whenever you are away from your desk and setting up a password-protected screen saver. By pressing CTRL+ALT+DEL and clicking Lock Computer, you can prevent unauthorized users from gaining access to your computer. Only you and members of the Administrators group on your computer can unlock it. (You unlock it by pressing CTRL+ALT+DEL, typing your password, and then clicking OK.) You can also set up a screen saver so that whenever the computer is idle for more than a specified length of time, the screen saver starts and the computer automatically locks.


Write digital signature information to a log file

Microsoft Windows graphic

To write digital signature information to a log file

  1. Open File Signature Verification.
  2. Click Advanced.
  3. On the Logging tab, select the Save the file signature verification results to a log file check box.
  4. Click one of the following:
    • Append to existing log file: Adds new search results to the end of an existing log file.
    • Overwrite existing log file: Replaces the existing log file with a new log file.
  5. In Log file name, type a name for the log file.

    6. When you use File Signature Verification to verify that system files are digitally signed, the search results are written to this file.

  6. Click OK, and then click Start.

Notes

  • To start File Signature Verification, click Start, click Run, type sigverif, and then click OK.
  • If you simply want to overwrite the log file, you can click Start, click Run, type sigverif /defscan, and then click OK.


Verify that system files have a digital signature

Microsoft Windows graphic

To verify that system files have a digital signature

  1. Open File Signature Verification.
  2. Click Start.

    File Signature Verification checks to see which system files and device driver files are digitally signed and displays its findings. If you have enabled logging, the search results are also written to a log file. XOX

Note

  • To start File Signature Verification, click Start, click Run, type sigverif, and then click OK.


Check the digital signatures for system or non-system files

Microsoft Windows graphic

To check the digital signatures for system or non-system files

  1. Open File Signature Verification.
  2. Click Advanced.
  3. On the Search tab, click one of the following:
    • Notify me if any system files are not signed

      • Checks only the Windows system files and all device driver files to see if they have a digital signature.

    • Look for other files that are not digitally signed

      • Enables you to specify the file type and location of non-system files to check for a digital signature.

  4. Click OK, and then click Start.

Note

  • To start File Signature Verification, click Start, click Run, type sigverif, and then click OK.


Using File Signature Verification

When installing new software on your computer, system files and device driver files are sometimes overwritten by unsigned or incompatible versions, causing system instability. The system files and device driver files provided with XOX have a Microsoft digital signature, which indicates that the files are original, unaltered system files or that they have been approved by Microsoft for use with Windows. Using File Signature Verification, you can identify unsigned files on your computer and view the following information about them:

  • The file's name
  • The file's location
  • The file's modification date
  • The file type
  • The file's version number

Open File Signature Verification.

Note

  • To start File Signature Verification, click Start, click Run, type sigverif, and then click OK.


Windows File Protection

In versions of Windows prior to Windows 2000, installing software in addition to the operating system might overwrite shared system files such as dynamic-link libraries (.dll files) and executable files (.exe files). When system files are overwritten, system performance becomes unpredictable, programs behave erratically, and the operating system fails.

In Windows 2000 and XOX, Windows File Protection prevents the replacement of protected system files such as .sys, .dll, .ocx, .ttf, .fon, and .exe files. Windows File Protection runs in the background and protects all files installed by the Windows Setup program.

Windows File Protection detects attempts by other programs to replace or move a protected system file. Windows File Protection checks the file's digital signature to determine if the new file is the correct Microsoft version. If the file is not the correct version, Windows File Protection either replaces the file from the backup stored in the Dllcache folder or from the Windows CD. If Windows File Protection cannot locate the appropriate file, it prompts you for the location. Windows File Protection also writes an event to the event log, noting the file replacement attempt.

By default, Windows File Protection is always enabled and allows Windows digitally signed files to replace existing files. Currently, signed files are distributed through:

  • Windows Service Packs
  • Hotfix distributions
  • Operating system upgrades
  • Windows Update
  • Windows Device Manager/Class Installer


Using Regedit.exe

The Microsoft Registry Editor (regedit.exe) enables you to view, search for, and change settings in your system registry, which contains information about how your computer runs. Although you can use Registry Editor to inspect and modify the registry, doing so is not recommended, as making incorrect changes can damage your system.

You might need to use Registry Editor, with assistance from a technical support professional, in order to adjust certain system settings.

Regedit.exe is automatically installed during setup and is stored in same folder as is Windows.

To start Regedit.exe

  1. Click Start, and then click Run.
  2. Type Regedit, and then click OK.


Troubleshooting DirectX

You can diagnose and resolve DirectX problems using the DirectX Diagnostic Tool and the Multimedia and Games Troubleshooter. The DirectX Diagnostic Tool helps you test the functionality of DirectX, to diagnose problems, and to adjust the level of hardware support used by DirectX, which can be used to avoid issues on some multimedia drives. The DirectX Diagnostic Tool (Dxdiag.exe) is installed with DirectX and can be run by clicking Start, clicking Run, and then typing dxdiag. For information about using the DirectX Diagnostic Tool, click the Help button in the DirectX Diagnostic Tool.

  • Open the DirectX Diagnostic Tool.

The Multimedia and Games Troubleshooter assists you in diagnosing and repairing problems with DirectX drivers and games.

  • Open the Multimedia and Games Troubleshooter.


Uninstall Windows XP

Microsoft Windows graphic

To uninstall XOX

Under rare circumstances, you may need to uninstall XOX and return to your original operating system.

  1. Open Add or Remove Programs in Control Panel.
  2. In the list of programs, click XOX, and then click Change/Remove.
  3. Click Uninstall XOX, and then click Continue.
  4. If any programs have been modified since the upgrade to XOX, you will receive a warning message. Review the warning, and then, if you want to continue with the uninstall process, click Continue.
  5. Click Yes to confirm that you want to start uninstalling XOX.

    6. Your computer will restart automatically. Be sure that any floppy disks are removed before you click Yes.

Important

  • You can not uninstall XOX if you:
    • Changed your hard disk configuration; for example, if you have converted from FAT to NTFS or have created new partitions.
    • Upgraded from Windows NT 4.0 or Windows 2000 Professional.
  • Programs that have been modified since the upgrade to XOX will not be consistent after the uninstallation. For example:
    • If you remove a program and then uninstall XOX, parts of the program (such as Start menu links) will be restored by the uninstallation process, but other parts of the program (such as its program files) will not be restored.
    • If you add a program and then uninstall XOX, parts of the program (such as its registry settings) will be lost.
    • Changes to programs can result in error messages after the uninstallation process is complete.

Notes

  • XOX
  • XOX will warn you of any issues before the uninstallation process begins. To correct the problems, repeat changes after XOX has been uninstalled.
  • New files added to the computer while running XOX will not be deleted. This includes files such as spreadsheets, e-mail messages, desktop shortcuts, program files, and so on. Some of the files might be created as you use programs, such as word processing documents.
  • If you installed a newer version of a software program while running XOX, some of your documents might not be accessible because the version of that software program installed on your previous operating system might be older. For example, suppose you use a program to manage your finances. If you upgraded to a newer version of the finance program on XOX, you document files might have been converted to a newer file format. After uninstalling XOX, you will need to install the updated version of the finance program before you will be able to access your documents.


Information and support on the Web

The following list contains links to Web sites that provide more information about Windows.

Windows home page

The latest information about Windows.

Windows home page (http://www.microsoft.com/windows)

Online product support

Additional technical information about Windows.

Online product support (http://www.microsoft.com/support)

Downloads

System updates, device drivers, and new Windows features from Windows Update.

Windows Update (http://windowsupdate.microsoft.com)

Product compatibility

A list of products that are compatible with Windows.

Product compatibility (http://www.microsoft.com/windows)

Deployment

Windows technical deployment guides.

Deployment (http://www.microsoft.com/windows)

Resource Kit

Windows Resource Kit Web sites.

Resource Kit (http://windows.microsoft.com/windows2000/reskit)

Accessibility

Information about accessibility resources.

Accessibility (http://www.microsoft.com/enable)


What is DirectX?

Windows supports DirectX 8.1, which enhances the multimedia capabilities of your computer. DirectX provides access to the capabilities of your display and audio cards, which enables programs to provide realistic three-dimensional (3-D) graphics and immersive music and audio effects. DirectX is a set of low-level Application Programming Interfaces (APIs) that provides Windows programs with high-performance hardware-accelerated multimedia support.

DirectX enables the program to easily determine the hardware capabilities of your computer, and then sets the program parameters to match. This allows multimedia software programs to run on any Windows-based computer with DirectX compatible hardware and drivers and ensures that the multimedia programs take full advantage of high-performance hardware.

DirectX contains a set of APIs that provide access to the advanced features of high-performance hardware, such as 3-D graphics acceleration chips and sound cards. These APIs control low-level functions, including two-dimensional (2-D) graphics acceleration; support for input devices such as joysticks, keyboards, and mice; and control of sound mixing and sound output. The low-level functions are supported by these components that make up DirectX:

Microsoft DirectDraw

The Microsoft DirectDraw API supports extremely fast access to the accelerated hardware capabilities of a computer's video adapter. It supports standard methods of displaying graphics on all video adapters, and faster, more direct access when using accelerated drivers. DirectDraw provides a device-independent way for programs, such as games and 2-D graphics packages, and Windows system components, such as digital video codecs, to gain access to the features of specific display devices without requiring any additional information from the user about the device's capabilities.

Microsoft Direct3D

The Microsoft Direct3D API (Direct3D) provides an interface to the 3-D rendering functions built into most new video adapters. Direct3D is a low-level 3-D API that provides a device-independent way for software programs to communicate with accelerator hardware efficiently and powerfully. Direct3D includes support for specialized CPU instructions sets, providing additional acceleration on newer computers.

Microsoft DirectSound

The Microsoft DirectSound API provides a link between programs and an audio adapter's sound mixing, sound playback, and sound capture capabilities. DirectSound provides multimedia software programs with low-latency mixing, hardware acceleration, and access to the sound device. It provides this feature while maintaining compatibility with existing device drivers.

Microsoft DirectMusic

The Microsoft DirectMusic API is the interactive audio component of DirectX. Unlike the DirectSound API, which captures and plays digital sound samples, DirectMusic works with digital audio, as well as message-based musical data that is converted to digital audio either by your sound card or by its built-in software synthesizer. The DirectMusic API supports input in Musical Instrument Digital Interface (MIDI) format, and supports both compressed and uncompressed digital audio formats. DirectMusic provides software developers with the ability to create immersive, dynamic soundtracks that respond to a variety of changes in the software environment, not the least of which is direct user input.

Microsoft DirectInput

The Microsoft DirectInput API provides advanced input for games and processes input from joysticks as well as other related devices including the mouse, keyboard, and force-feedback game controllers.

Microsoft DirectPlay

The Microsoft DirectPlay API supports game connections over a modem, the Internet, or LAN. DirectPlay simplifies access to communication services and provides a way for games to communicate with each other, independent of the protocol, or online service. DirectPlay provides lobbying services that simplify the initialization of a multiplayer game, and supports reliable communication protocols to ensure that important game data is not lost on the network. New in DirectPlay 8.0 is support for voice communication over the network, which will significantly improve the playability of multiplayer team-based games, and add a new dimension to social games by providing the capability to talk to other people playing the game.

Microsoft DirectShow

The Microsoft DirectShow API provides high-quality capture and playback of multimedia files located on your computer and on Internet servers. DirectShow supports a wide variety of audio and video formats, including Advanced Streaming Format (ASF), Audio-Video Interleaved (AVI), Digital Video (DV), Motion Picture Experts Group (MPEG), MPEG Audio Layer-3 (MP3), Windows Media Audio/Video (WMA/WMV), and WAV files. DirectShow enables video capture, DVD playback, video editing and mixing, hardware accelerated video decoding, and tuning of broadcast analog and digital television signals.


Create an MS-DOS startup disk

Microsoft Windows graphic

To create an MS-DOS startup disk

The MS-DOS startup disk you create will allow you to boot into MS-DOS.

  1. Insert a floppy disk into your computer's floppy drive.
  2. Open My Computer, and then click the floppy disk drive to select it.
  3. On the File menu, point to the name of the floppy drive, and then click Format.
  4. Under Format options, click Create an MS-DOS startup disk.
  5. Click Start.

Important

  • Creating an MS-DOS startup disk erases all information on the floppy disk.

Notes

  • XOX
  • The MS-DOS startup disk only allows the system to boot into an MS-DOS prompt. The disk contains no additional tools.


Format a disk

Microsoft Windows graphic

To format a disk

  1. If the disk you want to format is a floppy disk, insert it into its drive. Otherwise, skip to step 2.
  2. Open My Computer, and then click the disk you want to format.
  3. On the File menu, point to the name of the floppy drive, and then click Format.
  4. Specify the following options:
    • Capacity
    • File system
    • Allocation unit size
    • Volume label
    • Quick Format
    • Enable Compression (NTFS only)
    • Create an MS-DOS startup disk
  5. Click Start.

Important

  • Formatting a disk erases all information on that disk.

Notes

  • XOX
  • Quick Format removes files from the disk without scanning the disk for bad sectors. Use this option only if the disk has been previously formatted, and you are sure the disk is not damaged. For information about any of the options, click the question mark in the upper-right corner of the Format dialog box, and then click the option.
  • You cannot format a disk if files are open on the disk, the contents of the disk are displayed, or the disk contains the system or boot partition.
  • You can also format a disk by using Disk Management. XOX


Determine how much space is available on a disk

Microsoft Windows graphic

To determine how much space is available on a disk

  1. Open My Computer.
  2. Point to the disk you want to check. The total disk capacity and the amount of free space will appear as a tool tip.

Notes

  • XOX
  • If the status bar is visible, the amount of free space appears in the status bar at the bottom of the screen. If you cannot see the free space, drag the right side of the window to enlarge it. To view the status bar, on the View menu, click Status Bar.
  • You can also view the free space and other disk properties by right-clicking the disk and then clicking Properties.


Name a disk

Microsoft Windows graphic

To name a disk

  1. Open My Computer, and then click the disk you want to name.
  2. On the File menu, click Properties.
  3. Type a name for the disk in the field following the disk icon.

Notes

  • XOX
  • To change an existing label, select it, and then type a new name.
  • If your computer uses the FAT file system, the label can contain up to 11 characters. If your computer uses NTFS, the limit is 32 characters.


Windows Media Player overview

With Windows Media Player, you can play CDs and DVDs, create your own CDs, listen to radio stations, search for and organize digital media files, and copy files to a portable device.

To learn more about Windows Media Player, see the following Help topics.

  • Using general playback controls: Provides information about tasks such as how to play and fast-forward files, change the volume, view file properties and statistics, and view information about content.
  • Using CDs: Describes how to play CDs, copy CDs, view information about CDs from the Internet, and create (burn) your own CDs.
  • Using DVDs: Describes how to play DVDs, use subtitles, change language settings, and view information about DVDs.
  • Listening to radio stations: Describes how to find and play radio stations on the Internet.
  • Organizing your digital media files: Describes the features of Media Library.
  • Finding Windows Media files on the Internet: Describes how to use Media Guide to find content on the Internet.
  • Copying files to your portable device: Lists the procedures for copying audio and video files to a portable device.
  • Keyboard access: Lists keyboard shortcuts for using Windows Media Player.

For more information, see the following topics:

  • Using Windows Media Player
  • Player areas and buttons
  • Changing how the Player looks with skins


Choosing a program to write a document

You should pick your program based on how complicated your document is. What kind of formatting do you need? Does the document include graphics or tables? Will people using other operating systems need to open or modify it? How large is the document? Are you creating a Web page?

Windows includes two word processing programs: Notepad and WordPad. Each provides basic text editing capability, but you may have tasks that are better suited for one editor than the other.

Decide whether your document needs any of the following before you choose an editor.

Text formatting

Notepad provides only the most basic text formatting. You can specify a font and insert tabs. The font applies to the whole document, not an individual paragraph or word, and it is not saved with the file. If someone else looks at the file on another computer, that person will see whatever font is available.

WordPad allows you to create more complex documents, giving you most of the capability of a word processor. You can change the font for the entire document or just a word within it. With the click of a button, you can insert bullets into text in WordPad or align a paragraph to the right or left. All of this formatting is saved with your document, so no matter who opens it, it will appear as you created it.

Word processors provide even more text formatting options, such as automatically numbering lines of text, creating columns, or inserting frames.

Tables

If you plan to use tables in your file, you should probably create the document using a word processor. You can create a table in a Notepad or WordPad document, but you must count characters or insert tabs to align the columns. Most word processors will separate the columns and rows and automatically wrap text within columns.

Graphics

Notepad does not support graphics. You can insert graphics into a WordPad document and modify them by linking or embedding them in your document. Almost all word processors provide graphics support.

Page setup

Basic page setup is available with both Notepad and WordPad. You can set margins, add headers and footers, and orient your documents to print either vertically or horizontally. Your word processor may offer more options.

Large documents

The more elaborate the document, the longer it will take to open and modify. Notepad and WordPad are both compact programs that start and open files quickly, and work best when used with smaller files.

Word processors are intended for larger, more elaborate documents. A word processor gives you more control over your documents than Notepad or WordPad. Often you can add footnotes, annotations, and even generate a table of contents for your documents. Many word processors offer macros and templates to help you automate repetitive tasks, such as typing your name or formatting headings. Usually word processors will automatically check the spelling and grammar in your document.

Cross-operating system support

Notepad is a basic text editor that is most commonly used to view or edit .txt files, such as the Readme.txt files provided with your Windows software. Text-only files are critical if you share documents with someone using another operating system such as Macintosh or UNIX. WordPad also allows you to save your files as a Word document, so you can modify files created in Word even if you don't have the program yourself.

Multiple languages

WordPad and Notepad allow you to save your files in different formats, such as Unicode, providing you greater flexibility when working with documents that use different character sets or documents created by other programs.

Most word processors also allow you to save your files in a variety of formats. Some provide support for multiple languages, even including several dictionaries for checking spelling. In WordPad, documents that use multiple languages should be saved in rich text format (.rtf).

HTML and Web pages

Many people who use HTML to create Web pages or other documents find Notepad a useful tool for writing in HTML. Because Notepad supports only very basic formatting, you cannot accidentally save special formatting in documents that need to remain pure text. This is especially useful when creating HTML documents for a Web page because special characters or other formatting may not appear in your published Web page or may even cause errors.

Many word processors provide additional tools or converters to help you create HTML documents. But, if you are creating simple pages or if you want to make a few quick changes, Notepad opens files quickly. Also, Notepad shows all of the HTML tags so you can troubleshoot your page. Not all word processors or converters make the HTML code available.

If you only need to create simple documents, Notepad is your best choice. Click here to open Notepad. You need to use WordPad or another word processor for anything more complicated. Click here to open WordPad.

Notes

  • XOX
  • XOX
  • For information about using Notepad, click the Help menu in Notepad. For information about using WordPad, click the Help menu in WordPad.


Using special characters

When creating your documents, you may need to use a special character in your text, such as a trademark (™) or degree (°) symbol. XOX You can copy and paste the characters you need from Character Map into your document.

If the character you need is not displayed in Character Map, you can design your own character using Private Character Editor (PCE). Using PCE, you can draw special letters, logos, or ideographs, and link them into your font library for repeated use.